1. item
demand.erp API
  • bom
    • create bom
      POST
    • get bom
      GET
    • update bom
      PUT
    • delete bom
      DELETE
    • delete bom position
      DELETE
  • item
    • create item
      POST
    • get item
      GET
    • update item
      PUT
    • delete item
      DELETE
  • workplan
    • create workplan
      POST
    • get workplan
      GET
    • update workplan
      PUT
    • delete workplan
      DELETE
  • customer
    • create customer (4.8.0)
      POST
    • get customer (4.8.0)
      GET
    • update customer (4.8.0)
      PUT
    • delete customer (4.8.0)
      DELETE
  • Schemas
    • Schemas
    • Response
      • Success
      • BadRequest
    • getBom
    • postBom
    • putBom
    • getItem
    • postItem
    • putItem
    • getWorkplan
    • postWorkplan
    • putWorkplan
    • getCustomer
    • postCustomer
    • putCustomer
    • Success
    • Error
  1. item

update item

PUT
/item/{itemid}/{variant}
Last modified:2026-07-31 08:54:44
This endpoint allows you to update an item. Only values that need to be updated must be passed. At least one value must be provided.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/json

Example
{
    "identification": {
        "description1": "FEFCO 0201 300x300x300",
        "character_key": "1",
        "unit": "ST",
        "cost_center": 1,
        "product_group": 1,
        "accounting_clerk": "001",
        "sales_tax": 1,
        "description2": "string",
        "material_number": "",
        "material_description": "",
        "replacement_for": "",
        "replacement_date": "YYYY-MM-DD",
        "superseded_by": "",
        "superseded_on": "YYYY-MM-DD",
        "status": 0,
        "status_text": "",
        "ean": "0",
        "drawing_number": "",
        "pseudo": "Y",
        "drawing_index": 0,
        "item_specification": "A",
        "locked_by": "",
        "locked_until": "YYYY-MM-DD",
        "condition": 0,
        "price_unit": 1,
        "search_term": "cubicus item",
        "update_date": "YYYY-MM-DD",
        "expiration_date": "YYYY-MM-DD"
    },
    "purchase": {
        "reference_key": 1,
        "regular_supplier": 1,
        "order_quantity_unit": "ST",
        "conversion_factor": 0,
        "price_group": 0,
        "minimum_order_quantity": 1,
        "abc_mark": "A",
        "managed_stock": "Y",
        "minimum_stock": 10,
        "maximum_stock": 10,
        "default_storage_location": 1,
        "batch_identifier": 0,
        "best_before_date": "Y",
        "amortization_quantity": 0,
        "valid_from": "YYYY-MM-DD",
        "packaging_unit": 0,
        "packaging_regulation": null
    },
    "production": {
        "batch_size": 0,
        "replenishment_time": 10,
        "safety_time": 5,
        "additional_demand": 2,
        "bom_unit": "ST",
        "conversion_factor": 0,
        "default_workplan": 0,
        "default_bom": 0
    },
    "sales": {
        "customer": 914299,
        "deviating_sales_unit": "ST",
        "deviating_sales_unit_factor": 0,
        "representative1": 1,
        "representative2": 1,
        "commission": "Y",
        "license_fee": "Y"
    },
    "misc": {
        "length": 54,
        "height": 15,
        "width": 20,
        "strength": 2,
        "weight": 0,
        "project": 71,
        "division": 1,
        "hazardous_goods": "N",
        "slow_mover": "L",
        "automotive": "Y",
        "shop_item": 4418
    },
    "texts": {
        "de": {
            "internal": "string",
            "internal_production": "string",
            "external": "string",
            "order": "string",
            "delivery_note": "string"
        },
        "en": {
            "internal": "string",
            "internal_production": "string",
            "external": "string",
            "order": "string",
            "delivery_note": "string"
        }
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/item//' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "identification": {
        "description1": "FEFCO 0201 300x300x300",
        "character_key": "1",
        "unit": "ST",
        "cost_center": 1,
        "product_group": 1,
        "accounting_clerk": "001",
        "sales_tax": 1,
        "description2": "string",
        "material_number": "",
        "material_description": "",
        "replacement_for": "",
        "replacement_date": "YYYY-MM-DD",
        "superseded_by": "",
        "superseded_on": "YYYY-MM-DD",
        "status": 0,
        "status_text": "",
        "ean": "0",
        "drawing_number": "",
        "pseudo": "Y",
        "drawing_index": 0,
        "item_specification": "A",
        "locked_by": "",
        "locked_until": "YYYY-MM-DD",
        "condition": 0,
        "price_unit": 1,
        "search_term": "cubicus item",
        "update_date": "YYYY-MM-DD",
        "expiration_date": "YYYY-MM-DD"
    },
    "purchase": {
        "reference_key": 1,
        "regular_supplier": 1,
        "order_quantity_unit": "ST",
        "conversion_factor": 0,
        "price_group": 0,
        "minimum_order_quantity": 1,
        "abc_mark": "A",
        "managed_stock": "Y",
        "minimum_stock": 10,
        "maximum_stock": 10,
        "default_storage_location": 1,
        "batch_identifier": 0,
        "best_before_date": "Y",
        "amortization_quantity": 0,
        "valid_from": "YYYY-MM-DD",
        "packaging_unit": 0,
        "packaging_regulation": null
    },
    "production": {
        "batch_size": 0,
        "replenishment_time": 10,
        "safety_time": 5,
        "additional_demand": 2,
        "bom_unit": "ST",
        "conversion_factor": 0,
        "default_workplan": 0,
        "default_bom": 0
    },
    "sales": {
        "customer": 914299,
        "deviating_sales_unit": "ST",
        "deviating_sales_unit_factor": 0,
        "representative1": 1,
        "representative2": 1,
        "commission": "Y",
        "license_fee": "Y"
    },
    "misc": {
        "length": 54,
        "height": 15,
        "width": 20,
        "strength": 2,
        "weight": 0,
        "project": 71,
        "division": 1,
        "hazardous_goods": "N",
        "slow_mover": "L",
        "automotive": "Y",
        "shop_item": 4418
    },
    "texts": {
        "de": {
            "internal": "string",
            "internal_production": "string",
            "external": "string",
            "order": "string",
            "delivery_note": "string"
        },
        "en": {
            "internal": "string",
            "internal_production": "string",
            "external": "string",
            "order": "string",
            "delivery_note": "string"
        }
    }
}'

Responses

🟢200OK
application/json
Returns the updated item
Bodyapplication/json

Example
{
    "identification": {
        "unit": {
            "unit": "CM",
            "description": "Centimeter",
            "base_unit": "M",
            "volume": 1.234
        },
        "cost_center": {
            "cost_center": 1,
            "machine_group": 0,
            "description": "Allgemein"
        },
        "product_group": {
            "product_group": 100,
            "description": "Wellpappen",
            "toplevel_product_group": 1
        },
        "price_unit": {
            "price_unit": 1,
            "description": "pro Einheit",
            "factor": 1
        },
        "itemid": "800000",
        "description1": "FEFCO 0201 300x300x300",
        "description2": "",
        "material_number": "",
        "material_description": "",
        "accounting_clerk": "001",
        "character_key": "1",
        "replacement_for": "",
        "superseded_by": "",
        "status": 0,
        "status_text": "",
        "sales_tax": 1,
        "ean": "0",
        "drawing_number": "",
        "pseudo": "N",
        "drawing_index": 0,
        "item_specification": "A",
        "locked_until": "2025-01-01T00:00:00.000Z",
        "locked_by": "",
        "condition": 0
    },
    "purchase": {
        "reference_key": {
            "reference_key": 1,
            "description": "EIGENFERTIGUNG"
        },
        "default_storage_location": {
            "default_storage_location": 1,
            "description": "Allgemein"
        },
        "sales_unit": "ST",
        "conversion_factor": 0,
        "minimum_stock": 1,
        "maximum_stock": 0,
        "managed_batch": 0,
        "regular_supplier": 1,
        "price_group": 0,
        "minimum_order_quantity": 100,
        "abc_mark": "A",
        "managed_stock": "Y",
        "best_before_date": "N",
        "current_warehouse_stock": 1,
        "last_delivery": 20241231
    },
    "misc": {
        "length": 54,
        "height": 15,
        "width": 20,
        "strength": 2,
        "weight": 0
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Modified at 2026-07-31 08:54:44
Previous
get item
Next
delete item
Built with